import request from "@/api/request";
import type { ID } from "@/api/common";

// 查询站点绑定治具列表
export function listStationBindMask(params: any) {
  return request({
    url: "/mes/station/mask/list",
    method: "get",
    params,
  });
}

// 为站点绑定治具
export function batchBindMasksToStation(stationId: ID, maskIds: ID[]) {
  return request({
    url: "/mes/station/" + stationId + "/bind/mask",
    method: "put",
    data: maskIds,
  });
}

// 为站点绑定治具组
export function bindMaskCombinationToStations(data: any) {
  return request({
    url: "/mes/station/bind/mask-combination",
    method: "put",
    data,
  });
}

// 站点解绑治具
export function unbindStationMask(stationMaskId: ID) {
  return request({
    url: "/mes/station/bind-mask/" + stationMaskId,
    method: "delete",
  });
}
